Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IOperationListener

All Known Implementing Classes:
  AddSiteCommand, DisableCommand, EnableCommand, InstallCommand, ListFeaturesCommand, RemoveSiteCommand, ScriptedCommand, SearchCommand, UninstallCommand, UpdateCommand

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IOperationListener

Listener for the operation lifecycle. This allows listeners to execute certain code before an operation starts, or after it completes.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`boolean` `afterExecute(IOperation operation, Object data)` Deprecated. May be called after an operation finishes executing.
`boolean` `beforeExecute(IOperation operation, Object data)` Deprecated. May be called before an operation starts executing.

Method Detail

### beforeExecute

    boolean beforeExecute(IOperation operation,
                          Object data)

  Deprecated.
  May be called before an operation starts executing.

  Parameters:
    `operation` - operation to listen to
    `data` - info specific to the operation
  Returns:
    not used

### afterExecute

    boolean afterExecute(IOperation operation,
                         Object data)

  Deprecated.
  May be called after an operation finishes executing.

  Parameters:
    `operation` - operation to listen to
    `data` - info specific to the operation
  Returns:
    not used

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.